#include <bits/stdc++.h>
using namespace std;
vector<int> solve(vector<int> a) {
    vector<int> ans;
    for (int i = 0; i < a.size() / 2; i++) {
        ans.push_back(i);
    }
    ans.push_back(a.size() - 1);
    for (int i = a.size() / 2; i < a.size() - 1; i++) {
        ans.push_back(i);
    }
    return ans;
}
